summaryrefslogtreecommitdiff
path: root/tests/fmt
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fmt')
-rwxr-xr-xtests/fmt/basic9
1 files changed, 4 insertions, 5 deletions
diff --git a/tests/fmt/basic b/tests/fmt/basic
index 7450a94ef..fb1c060b9 100755
--- a/tests/fmt/basic
+++ b/tests/fmt/basic
@@ -4,12 +4,11 @@
: ${PERL=perl}
: ${srcdir=.}
-case "$PERL" in
- *'missing perl')
- echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
+$PERL -e 1 > /dev/null 2>&1 || {
+ echo 1>&2 "$0: configure didn't find a usable version of Perl," \
+ "so can't run this test"
exit 77
- ;;
-esac
+}
# Export this to avoid hassles when run in a UTF-8 locale,
# since we use 8-bit characters below, and those values are